Bug 580873 - Review Request: libdb - Oracle Berkeley DB version 5
Summary: Review Request: libdb - Oracle Berkeley DB version 5
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 580220 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-09 10:20 UTC by Jindrich Novy
Modified: 2013-07-02 23:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-21 06:12:25 UTC
jskarvad: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jindrich Novy 2010-04-09 10:20:51 UTC
Spec URL: http://jnovy.fedorapeople.org/libdb.spec
SRPM URL: http://jnovy.fedorapeople.org/libdb-5.0.21-0.1.fc13.src.rpm
Description: There was "db4" package for a while in Fedoras which is not too appropriately named since it contains the major version in its name. It is caused by some historical consequences but it is the right time to start a new naming for this package. Starting with version 5 of Berkeley DB.

Comment 1 Jaroslav Škarvada 2010-04-15 08:52:22 UTC
[NO] rpmlint is silent.
libdb-cxx.x86_64: W: no-documentation
> Probably OK.
libdb-cxx.x86_64: E: non-standard-executable-perm /usr/lib64/libdb_cxx-5.0.so 0775
> 0755?
libdb-devel-static.x86_64: W: spelling-error %description -l en_US statical -> statically, statistical, static
> First and third variants sounds better.
libdb-devel-static.x86_64: W: no-documentation
> Probably OK.
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/examples_c/bench_001.c
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/LoadIndexKeywords.aspx
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/SearchHelp.aspx
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/styles/Whidbey/presentation.css
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/Dropdown.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/EventUtilities.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/highlight.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/script_feedBack.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/script_manifold.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/CommonUtilities.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/styles/Presentation.css
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/TOC.css
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/Index.aspx
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/CheckboxMenu.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/Web.Config
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/TOC.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/WebTOC.xml
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/WebKI.xml
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/scripts/SplitScreen.js
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/FillNode.aspx
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/csharp/styles/highlight.css
> Mostly cosmetic, worth to fix? 
libdb-java.x86_64: E: non-standard-executable-perm /usr/lib64/libdb_java-5.0.so 0775
> 0755?
libdb-sql.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dbsql ['/usr/lib64']
> rpath should be killed.
libdb-sql.x86_64: W: no-documentation
> Probably OK.
libdb-sql.x86_64: E: non-standard-executable-perm /usr/lib64/libdb_sql-5.0.so 0775
> 0755?
libdb-sql.x86_64: W: devel-file-in-non-devel-package /usr/include/libdb/dbsql.h
> libdb-sql-devel for one file or OK as is?
libdb-tcl.x86_64: W: no-documentation
> Probably OK.
libdb-tcl.x86_64: E: non-standard-executable-perm /usr/lib64/libdb_tcl-5.0.so 0775
> 0755?
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_printlog ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_dump ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_archive ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_deadlock ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_log_verify ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_upgrade ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_load ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_recover ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_verify ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_stat ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_checkpoint ['/usr/lib64']
libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_hotbackup ['/usr/lib64']
> rpath should be killed.
libdb-utils.x86_64: W: no-documentation
> Probably OK.
libdb.x86_64: E: non-standard-executable-perm /lib64/libdb-5.0.so 0775
> 0755?
10 packages and 0 specfiles checked; 18 errors, 28 warnings.
 
[YES] Package meets naming guidelines.
> Please use integer release if pushed to CVS.
[YES] Package meets packaging guidelines.
> Looks OK.
[YES] Spec file matches base package name.
[YES] License file is present, matching with spec file.
[YES] Licensing Guidelines are met.
[YES] Spec file is legible and in American English.
[YES] Sources match upstream.
[YES] Package builds OK.
[YES] BuildRequires is correct.
> There is no need to list util-linux-ng, see exception.
> It builds in mock, thus at least nothing missing here.
[?] ldconfig is called in %post/%postun for every package with DSO
> It seems the ldconfig is not called for cxx subpackage.
[YES] Package doesn't bundle copies of system libraries.
[YES] Package owns all the directories it creates.
> Looks OK.
[YES] Package has no duplicity in %files.
> Looks OK.
[NO] Permission on files are set properly.
> deffatr should be (-,root,root,-).
> Some libraries are installed with mode 0775, see rpmlint output above.
[N/A] Package has correctly installed .desktop file.
[YES] %clean section is correct.
[YES] Spec file has consistant macro usage.
[YES] Package is code or permissable content.
[YES] %doc files don't affect runtime.
> Looks OK.
[NO] Header files must be in a -devel package.
> libdb-sql-devel for /usr/include/libdb/dbsql.h or OK as is? Same as the rpmlint output above.
[YES] Static libraries must be in a -static package.
[YES] If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
[NO] Devel packages must require the base package using a fully versioned dependency.
> There is no dependency in devel-static subpackage.
> Missing dependency for cxx subpackage, is that OK?
[YES] No .la libtool archives.
[YES] Package doesn't own files/directories that other packages own.
[YES] Package has rm -rf $RPM_BUILD_ROOT at beginning of %install.
[YES] All files including spec are valid UTF-8

Should items:
[YES] Package builds in mock.

Comment 2 Jindrich Novy 2010-04-15 14:03:16 UTC
Thanks, new scratch build (including SRPM) is located here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2117077

> libdb-cxx.x86_64: E: non-standard-executable-perm /usr/lib64/libdb_cxx-5.0.so
> 0775
> > 0755?

I saw no 0775 permissions in the output rpms but added fix to enforce 0755 permissions for every library.

> libdb-devel-static.x86_64: W: spelling-error %description -l en_US statical ->
> statically, statistical, static
> > First and third variants sounds better.

Fixed.

> libdb-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/libdb-devel-5.0.21/csharp/LoadIndexKeywords.aspx
> > Mostly cosmetic, worth to fix? 

The C# documentation should go away and it is gone now :)

> libdb-sql.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dbsql
> ['/usr/lib64']
> > rpath should be killed.

Added --disable-rpath to configure and using chrpath -d to be sure.

> libdb-sql.x86_64: W: devel-file-in-non-devel-package /usr/include/libdb/dbsql.h
> > libdb-sql-devel for one file or OK as is?

Yep, I would leave it as is. The tiny header file is not worth a separate subpackage.

> libdb-utils.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/db_printlog
> ['/usr/lib64']
> > rpath should be killed.

It is now killed.

> [YES] Package meets naming guidelines.
> > Please use integer release if pushed to CVS.

the 0.x release is used for review only. The first version will be 1 and on.

> [YES] BuildRequires is correct.
> > There is no need to list util-linux-ng, see exception.

Removed.

> [?] ldconfig is called in %post/%postun for every package with DSO
> > It seems the ldconfig is not called for cxx subpackage.

Added.

> [NO] Permission on files are set properly.
> > deffatr should be (-,root,root,-).
> > Some libraries are installed with mode 0775, see rpmlint output above.

Fixed.

> [NO] Devel packages must require the base package using a fully versioned
> dependency.
> > There is no dependency in devel-static subpackage.
> > Missing dependency for cxx subpackage, is that OK?

Added.

Comment 3 Jaroslav Škarvada 2010-04-15 21:07:48 UTC
Great, the only "relevant" remaining warning:
libdb-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libdb-devel-5.0.21/examples_c/bench_001.c
But it is only cosmetic.

Comment 4 Jindrich Novy 2010-04-16 03:22:17 UTC
Fixed. New packages are here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2118391

Comment 5 Jindrich Novy 2010-04-16 04:31:45 UTC
New Package CVS Request
=======================
Package Name: libdb
Short Description: The Berkeley DB database library for C
Owners: jnovy
Branches: F-14
InitialCC:

Comment 6 Kevin Fenzi 2010-04-18 01:46:09 UTC
We aren't doing F-14 branches currently, did you just want devel? 
Or did you want F-13 ?

Comment 7 Jindrich Novy 2010-04-19 07:26:12 UTC
Kevin, sorry for confusion, devel branch is what I had in mind. Thanks.

Comment 8 Jindrich Novy 2010-04-20 13:08:44 UTC
New Package CVS Request
=======================
Package Name: libdb
Short Description: The Berkeley DB database library for C
Owners: jnovy
Branches: devel
InitialCC:

Comment 9 Jindrich Novy 2010-04-20 13:09:09 UTC
*** Bug 580220 has been marked as a duplicate of this bug. ***

Comment 10 Kevin Fenzi 2010-04-21 04:05:16 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Paul Howarth 2010-06-25 11:53:44 UTC
Now that libdb is established in Rawhide, and compat-db includes a db4 implementation, is it now time to retire db4? Doing it this early in the F14 cycle will allow time for the FTBFS bugs that will inevitably arise from this to be resolved.


Note You need to log in before you can comment on or make changes to this bug.